Bug 191589 - Review Request: qt4-qsa: Qt Script for Applications
Review Request: qt4-qsa: Qt Script for Applications
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-05-13 07:20 EDT by Frank Büttner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-28 09:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)
fix QTLIB,QTINC (1.63 KB, patch)
2006-06-08 10:19 EDT, Rex Dieter
no flags Details | Diff

  None (edit)
Description Frank Büttner 2006-05-13 07:20:16 EDT
Description: qsa is an module for Qt to make application scriptable.
At this time I can't present an full working spec/SRP file, because I have seen, that somebody I working on an Qt4 package. So I will/can't present my QT4 spec file. I use only my file for testing. And Qt4 is needes for my package. So I present my primary specfile for preview. And ask if there an interest to add qsa to Fedora Extras. The full description of QSA can be view here:
Comment 1 Gianluca Sforna 2006-05-13 08:03:04 EDT
I have a semi-working spec file for the Qt 3 based one (1.1.x). 
I did not check the Qt4 source package but I expect the build procedure to be
the same ( i.e. plain broken :) ) so if you still have not started to write the
spec maybe you can benefit from my previous work.

Do you need/want me to submit a formal review request?
Comment 2 Frank Büttner 2006-05-13 09:13:42 EDT
I have start written the qsa spec file for Qt4.
But this is very difficult at this time without seen the final one for Qt4.
So I write it so, that it all way's work. But one feature of qsa must be disabled.
When you have an working spec file for qsa then you can post it here and do the
job. And I close this review. I think to modify it for Qt4 is not very hard when
you disable the editor feature then you can use your spec file for QSA 1.2.1
with Qt 4.1.2.
compiling works with configure -release -no-editor -prefix ...
Comment 3 Rex Dieter 2006-05-13 10:09:34 EDT
FYI, qt4 review is bug 188180
I'd say base your qsa work off that, for now, at least.
Comment 4 Rex Dieter 2006-05-13 10:11:36 EDT
As for qsa/qt3, qsa/qt4, I'd recommend submitting each as a separate review 
request (unless it's more convenient to build package both from a single 
specfile).  Once a spec/srpm is mentioned here, I can start a review.
Comment 5 Frank Büttner 2006-05-13 10:28:52 EDT
Ok I do the work for qsa/Qt4 and Gianluca Sforna can do this for qsa/Qt3.
I have found possible a solution for the qt3support part problem.
Comment 6 Frank Büttner 2006-05-13 12:33:04 EDT
So the first version of the spec file is ready.
As far the Qt4 package is ready I can remove the hard coded Qt path and the rest
of the work.
Comment 7 Rex Dieter 2006-05-13 12:43:30 EDT
There's no need to hard-code the qt path, at least not in the qt4 case, since it
uses pkg-config.  Use this instead to define qtdir:

BuildRequires: qt4-devel
%global qtdir %(pkg-config --variable=prefix QtCore)

and %files should probably be like:

%files devel

qsa-devel certainly will need 
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel
Comment 8 Julian Sikorski 2006-05-28 10:44:17 EDT
Well, are there any particular reasons qt3 package cannot make its way into fc5
extras? At least two programs would benefit from it (LabPlot and museek). Greets.
Comment 9 Frank Büttner 2006-05-28 10:48:06 EDT
Yes. For Qt3 you will need another version of QSA.
Comment 10 Julian Sikorski 2006-05-28 10:59:35 EDT
So this BR is for qt4 qsa. Will have to wait till fc6 then.
Comment 11 Frank Büttner 2006-05-28 11:46:03 EDT
You can build an package for QSA on Qt3 when you will. But you must call it then
qsa3 or something like.
Comment 12 Frank Büttner 2006-05-28 12:23:52 EDT
So after the new version of the Qt package is out here the first public version
of  the package.
Comment 13 Frank Büttner 2006-06-04 08:47:13 EDT
so the next version is ready for review.
here the URL:
- enable qt3support
- Prevent for compiling using Qt >=4.2 witch will need another version of QSA.
- add missing .h files
Comment 14 Rex Dieter 2006-06-08 10:13:57 EDT
* qsa.spec (and probably) qsa's configure script assumes
which isn't necessarily true.  In particular, on x86_64, QTLIB=%qtdir/lib64. 
Further, future iterations of qt4 may move QTLIB=%_libdir and/or QTINC=%_includedir.

specfile patch forthcoming.
Comment 15 Rex Dieter 2006-06-08 10:19:25 EDT
Created attachment 130748 [details]

use install -p
only libqsa.so -> -devel, others in main pkg
Comment 16 Rex Dieter 2006-06-08 10:42:52 EDT
* Source's should be full URL:
Comment 17 Frank Büttner 2006-06-08 11:31:25 EDT
Thanks but I have found an Bug in the Qt packae the variable  for the include
path of the QtTest is wrong it show to %{prefix}/include but it must show
So the line qtinc %(pkg-config QtTest --variable=includedir) must be
qtinc %(pkg-config QtCore --variable=prefix)/include
Comment 18 Rex Dieter 2006-06-08 11:37:28 EDT
Thanks.  I only chose QtTest because the --includedir output *was* prefix/include.

I suppose we could do something not-so-clean-but-still-should-work like:
%define qtinc %(pkg-config QtCore --variable=includedir)/..
Comment 19 Frank Büttner 2006-06-08 12:15:39 EDT
Here the next version:
Comment 20 Rex Dieter 2006-06-08 12:31:53 EDT
It'll speed the review process a bit too if you could also post links to the 
specfile as well.  That way, I won't have to redownload the entire source over 
and over again.
Comment 21 Rex Dieter 2006-06-08 12:38:43 EDT
%files list is still wrong.  In particular, only libqsa.so should be 
in -devel, easiest template to use is something like:


%files devel
Comment 22 Frank Büttner 2006-06-08 12:39:32 EDT
ok here the URL of the spec file.
it is every try the same.
Comment 25 Rex Dieter 2006-06-08 15:00:27 EDT
Personally, I'd feel more comfortable if you used (something like):
%define qtinc %(dirname $(pkg-config QtCore --variable=includedir))
instead of
%define qtinc %(pkg-config QtCore --variable=prefix)/include

In case we ever do decide to move it out of the qt-prefix (to say, %_includedir).

But that's your call as maintainer.  
Comment 26 Frank Büttner 2006-06-08 15:29:28 EDT
Yes this can be useful.
So here the new one:
rpmlint say that the doc part of the devel package are not nice.:(
Or can we ignore this? 
Comment 27 Rex Dieter 2006-06-08 16:02:48 EDT
Learned something cool today about qmake, you may want to consider this
cleaner/simpler method of determining QTDIR, QTINC, QTLIB:

%define qtdir %(qmake4 -query QT_INSTALL_PREFIX)
%define qtinc %(qmake4 -query QT_INSTALL_HEADERS)
%define qtlib %(qmake4 -query QT_INSTALL_LIBS)

re: rpmlint
A couple of things:
1.  make sure %defattr is *first*, so %files should be:

2.  why in -devel %defattr(755,root,root) instead of %defattr(-,root,root)?

3.  Re: wrong-file-end-of-line-encoding, --hidden-file-or-dir warnings.  IMO,
these are small-potatoes.  You can fix these if you want, but it's not a blocker.
Comment 29 Rex Dieter 2006-06-08 16:52:31 EDT
%files devel

%files devel

And we're *real* close.  (unless you have a good reason for doing it your way).

I'll recheck all the blocker guidelines tomorrow morning...
Comment 30 Rex Dieter 2006-06-28 09:42:51 EDT
Looks like the ACCEPT got lost in the bugzilla crash, reclosing.
Comment 31 Laurent Rineau 2006-11-08 10:56:55 EST
(In reply to comment #29)
> Change
> %files devel
> %defattr(0755,root,root)
> %attr(0644,root,root)%{qtinc}/*
> ...
> To
> %files devel
> %defattr(0644,root,root)
> %{qtinc}/*
> ...

Rex, just for the record, it should have been "%defattr(0644,root,root,755)". 
See bug #214577. I imagine that it was a typo.
Comment 32 Rex Dieter 2006-11-08 11:21:43 EST
Heck, I *should* have simply suggested
Comment 33 Frank Büttner 2007-06-23 12:05:49 EDT
Package Change Request
Package Name: qt4-qsa
New Branches: F-7

Because the F-7 directory is missing in the CVS repo.
Comment 34 Frank Büttner 2007-06-23 14:59:17 EDT
found it:)
Comment 35 Frank Büttner 2007-10-21 08:15:15 EDT
Package Change Request
Package Name: qt4-qsa
Remove Branches: devel

It can be removed for F-9 and higher, because it have reach it's EOL.
And the script function is available since Qt 4.3.
So it will be only need until F-8, to get old code working and give the
developers  some time to adapt her code to Qt 4.3.
Comment 36 Kevin Fenzi 2007-10-21 12:23:53 EDT
Please follow the package end of life procedure for the devel branch:
Comment 37 Frank Büttner 2007-10-21 15:15:49 EDT
dead.package file add and send the mail to rel-eng@fedoraproject.org 

Note You need to log in before you can comment on or make changes to this bug.